Skip to main content
GET
/
environments
/
{environmentId}
/
wallets
Get wallets by environment
curl --request GET \
  --url https://app.dynamicauth.com/api/v0/environments/{environmentId}/wallets \
  --header 'Authorization: Bearer <token>'
{
  "wallets": [
    {
      "id": "95b11417-f18f-457f-8804-68e361f9164f",
      "userId": "95b11417-f18f-457f-8804-68e361f9164f",
      "name": "An example name",
      "chain": "ETH",
      "publicKey": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
      "lowerPublicKey": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
      "provider": "browserExtension",
      "updatedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "projectEnvironmentId": "95b11417-f18f-457f-8804-68e361f9164f",
      "walletBookName": "An example name",
      "walletAdditionalAddresses": [
        {
          "address": "<string>",
          "type": "ordinals",
          "publicKey": "<string>"
        }
      ],
      "signerWalletId": "95b11417-f18f-457f-8804-68e361f9164f",
      "lastSelectedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "turnkeyHDWalletId": "95b11417-f18f-457f-8804-68e361f9164f",
      "signInEnabled": true,
      "entryPointVersion": "<string>",
      "kernelVersion": "<string>",
      "ecdsaProviderType": "<string>",
      "deletedUserId": "95b11417-f18f-457f-8804-68e361f9164f",
      "hardwareWallet": {},
      "waasWallet": {
        "accountAddress": "<string>",
        "chainName": "EVM",
        "walletId": "95b11417-f18f-457f-8804-68e361f9164f",
        "thresholdSignatureScheme": "TWO_OF_TWO",
        "derivationPath": "<string>",
        "keyShares": [
          {
            "id": "95b11417-f18f-457f-8804-68e361f9164f",
            "backupLocation": "<string>",
            "passwordEncrypted": true,
            "walletShareDeveloperKeyEncrypted": true,
            "externalKeyShareId": "95b11417-f18f-457f-8804-68e361f9164f",
            "keygenId": "<string>"
          }
        ]
      },
      "delegatedAccessWalletApiKeys": [
        {
          "encryptionPublicKey": {
            "id": "95b11417-f18f-457f-8804-68e361f9164f",
            "projectEnvironmentId": "95b11417-f18f-457f-8804-68e361f9164f",
            "kid": "<string>",
            "alg": "RSA-OAEP-256",
            "publicKeyPemB64": "<string>",
            "status": "pending",
            "type": "dynamic",
            "createdAt": "2023-11-07T05:31:56Z",
            "updatedAt": "2023-11-07T05:31:56Z",
            "expiresAt": "2023-11-07T05:31:56Z",
            "revokedAt": "2023-11-07T05:31:56Z"
          },
          "scopes": [
            "<string>"
          ],
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "expiresAt": "2023-11-07T05:31:56Z",
          "deletedAt": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ],
  "count": 123,
  "limit": 123,
  "offset": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.dynamic.xyz/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Query Parameters

limit
integer
default:50

Maximum number of wallets to return

Required range: 1 <= x <= 100
offset
integer
default:0

Number of wallets to skip

Required range: x >= 0

Response

Successful response with wallets

wallets
object[]
required

List of detailed wallet objects matching the query

count
integer
required

Total number of wallets matching the filter

limit
integer

Maximum number of wallets returned

offset
integer

Number of wallets skipped